import sys

from ammosreader.AmmosIFReader import AmmosIFReader

def main():
    if len(sys.argv) != 2:
        sys.exit()

    file_name = sys.argv[1]

    print("File name:", file_name)

    dat_file = AmmosIFReader(file_name)

    dat_file.read_all_frames_left()
    print("Frequencies", dat_file.container.frequencies())
    print("Frame types:", dat_file.container.frame_types())
    print("Total frame sizes:", sum(dat_file.container.frame_sizes()))
    print("Homogenic:", dat_file.container.is_homogenic())
